summaryrefslogtreecommitdiff
path: root/Build
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2023-12-21 18:43:50 +0000
committerKarl Berry <karl@freefriends.org>2023-12-21 18:43:50 +0000
commit474f0288d2ba3c8ff94654a7507659e37fa7824c (patch)
treee8a43cb693d50718eeb3db5d18c7a8c419dc4540 /Build
parent28b035d1f87953021845b4ca5341dab7c5642642 (diff)
abort reautoconf if an autoreconf fails; adapt lcdf-typetools
git-svn-id: svn://tug.org/texlive/trunk@69183 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Build')
-rw-r--r--Build/source/ChangeLog4
-rwxr-xr-xBuild/source/reautoconf10
-rw-r--r--Build/source/texk/lcdf-typetools/ChangeLog8
-rw-r--r--Build/source/texk/lcdf-typetools/configure.ac23
4 files changed, 37 insertions, 8 deletions
diff --git a/Build/source/ChangeLog b/Build/source/ChangeLog
index bf2bf77a711..9385e04a993 100644
--- a/Build/source/ChangeLog
+++ b/Build/source/ChangeLog
@@ -1,3 +1,7 @@
+2023-12-21 Karl Berry <karl@freefriends.org>
+
+ * reautoconf (do_it): abort the run if any command fails.
+
2023-02-25 Karl Berry <karl@tug.org>
* Build: show full uname -a.
diff --git a/Build/source/reautoconf b/Build/source/reautoconf
index 71c96cd989f..f31baf7fc4e 100755
--- a/Build/source/reautoconf
+++ b/Build/source/reautoconf
@@ -3,7 +3,7 @@
# This "reautoconf" script at the root of the TeX Live source tree
# runs autoreconf (from PATH) in all relevant TL directories.
#
-# Copyright 2008-2021 Karl Berry.
+# Copyright 2008-2023 Karl Berry.
# Copyright 2004-2009 Peter Breitenlohner.
# Copyright 2005 Olaf Weber.
#
@@ -29,7 +29,7 @@ usage="Usage: $0 [OPTION]... [DIR]...
By default, also pass -Wno-obsolete, because Autoconf 2.70
and later deprecated many widely used macros. See Build/m4/README for
a lengthy discussion of this. To see the obsolete warnings (perhaps
- because you want to spend time fixing them), use --warn-obsolete here.
+ because you want to spend time fixing them), use --warn-obsolete.
Options:
-h, --help display this help and exit successfully
@@ -104,10 +104,12 @@ ACLOCAL=$TL_ACLOCAL
export AUTOCONF AUTOHEADER AUTOMAKE ACLOCAL
do_it () {
+ test x"$do_say" = x: || printf "\f "
$do_say "$0: running \"$@\""
$do_cmd "$@"
if test $? -ne 0; then
- echo "exit status of $*: $?" >&2
+ echo "$0: goodbye, exit status of $*: $?" >&2
+ exit 1
fi
}
@@ -116,7 +118,7 @@ if test "x$list" = x; then
`find libs utils texk -type d -name ac | sed 's,/ac\$,,'`"
fi
-# Autoreconf in all directories
+# Run autoreconf in all directories.
for dir in $list; do
if test ! -d "$dir"; then
diff --git a/Build/source/texk/lcdf-typetools/ChangeLog b/Build/source/texk/lcdf-typetools/ChangeLog
index 84de5fb94a7..04953ed32ed 100644
--- a/Build/source/texk/lcdf-typetools/ChangeLog
+++ b/Build/source/texk/lcdf-typetools/ChangeLog
@@ -1,3 +1,11 @@
+2023-12-21 Karl Berry <karl@freefriends.org>
+
+ * configure.ac (AC_CONFIG_FILES): write out all the
+ <subdir>/Makefile values separately (as the original configure.ac
+ does), instead of using an m4_foreach_w loop. Automake has given
+ an error with the creation via the loop for many versions now, and
+ we just never noticed.
+
2023-09-01 Akira Kakuto <kakuto@jcom.zaq.ne.jp>
Import lcdf-typetools-2.110.
diff --git a/Build/source/texk/lcdf-typetools/configure.ac b/Build/source/texk/lcdf-typetools/configure.ac
index d7ffee060fd..52dac73ef9b 100644
--- a/Build/source/texk/lcdf-typetools/configure.ac
+++ b/Build/source/texk/lcdf-typetools/configure.ac
@@ -1,6 +1,8 @@
+dnl $Id$
dnl Process this file with autoconf to produce a configure script.
dnl
-dnl Copyright (C) 2009-2014 Peter Breitenlohner <tex-live@tug.org>
+dnl Copyright 2014-2023 Karl Berry <tex-live@tug.org>
+dnl Copyright 2009-2014 Peter Breitenlohner <tex-live@tug.org>
dnl
dnl This file is free software; the copyright holder
dnl gives unlimited permission to copy and/or distribute it,
@@ -435,7 +437,20 @@ dnl
AC_SUBST([LCDF_TYPETOOLS_TREE], [lcdf-typetools-src])
-AC_CONFIG_FILES([Makefile lcdf-typetools-src/Makefile])
-m4_foreach_w([Kpse_Prog],[liblcdf libefont kpse_lcdf_typetools_progs],[AC_CONFIG_FILES([lcdf-typetools-src/]Kpse_Prog[/Makefile])])
-
+AC_CONFIG_FILES([Makefile
+ lcdf-typetools-src/Makefile
+ lcdf-typetools-src/liblcdf/Makefile
+ lcdf-typetools-src/libefont/Makefile
+ lcdf-typetools-src/cfftot1/Makefile
+ lcdf-typetools-src/mmafm/Makefile
+ lcdf-typetools-src/mmpfb/Makefile
+ lcdf-typetools-src/otfinfo/Makefile
+ lcdf-typetools-src/otftotfm/Makefile
+ lcdf-typetools-src/t1dotlessj/Makefile
+ lcdf-typetools-src/t1lint/Makefile
+ lcdf-typetools-src/t1rawafm/Makefile
+ lcdf-typetools-src/t1reencode/Makefile
+ lcdf-typetools-src/t1testpage/Makefile
+ lcdf-typetools-src/ttftotype42/Makefile
+ ])
AC_OUTPUT